<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$hostel_add = new hostel_add();

// Run the page
$hostel_add->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$hostel_add->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fhosteladd, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "add";
	fhosteladd = currentForm = new ew.Form("fhosteladd", "add");

	// Validate form
	fhosteladd.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($hostel_add->Hostel_Name->Required) { ?>
				elm = this.getElements("x" + infix + "_Hostel_Name");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $hostel_add->Hostel_Name->caption(), $hostel_add->Hostel_Name->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($hostel_add->Fee->Required) { ?>
				elm = this.getElements("x" + infix + "_Fee");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $hostel_add->Fee->caption(), $hostel_add->Fee->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_Fee");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($hostel_add->Fee->errorMessage()) ?>");
			<?php if ($hostel_add->Remarks->Required) { ?>
				elm = this.getElements("x" + infix + "_Remarks");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $hostel_add->Remarks->caption(), $hostel_add->Remarks->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fhosteladd.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fhosteladd.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fhosteladd");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $hostel_add->showPageHeader(); ?>
<?php
$hostel_add->showMessage();
?>
<form name="fhosteladd" id="fhosteladd" class="<?php echo $hostel_add->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="hostel">
<input type="hidden" name="action" id="action" value="insert">
<input type="hidden" name="modal" value="<?php echo (int)$hostel_add->IsModal ?>">
<div class="ew-add-div"><!-- page* -->
<?php if ($hostel_add->Hostel_Name->Visible) { // Hostel_Name ?>
	<div id="r_Hostel_Name" class="form-group row">
		<label id="elh_hostel_Hostel_Name" for="x_Hostel_Name" class="<?php echo $hostel_add->LeftColumnClass ?>"><?php echo $hostel_add->Hostel_Name->caption() ?><?php echo $hostel_add->Hostel_Name->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $hostel_add->RightColumnClass ?>"><div <?php echo $hostel_add->Hostel_Name->cellAttributes() ?>>
<span id="el_hostel_Hostel_Name">
<input type="text" data-table="hostel" data-field="x_Hostel_Name" name="x_Hostel_Name" id="x_Hostel_Name" size="30" maxlength="55" placeholder="<?php echo HtmlEncode($hostel_add->Hostel_Name->getPlaceHolder()) ?>" value="<?php echo $hostel_add->Hostel_Name->EditValue ?>"<?php echo $hostel_add->Hostel_Name->editAttributes() ?>>
</span>
<?php echo $hostel_add->Hostel_Name->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($hostel_add->Fee->Visible) { // Fee ?>
	<div id="r_Fee" class="form-group row">
		<label id="elh_hostel_Fee" for="x_Fee" class="<?php echo $hostel_add->LeftColumnClass ?>"><?php echo $hostel_add->Fee->caption() ?><?php echo $hostel_add->Fee->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $hostel_add->RightColumnClass ?>"><div <?php echo $hostel_add->Fee->cellAttributes() ?>>
<span id="el_hostel_Fee">
<input type="text" data-table="hostel" data-field="x_Fee" name="x_Fee" id="x_Fee" size="30" placeholder="<?php echo HtmlEncode($hostel_add->Fee->getPlaceHolder()) ?>" value="<?php echo $hostel_add->Fee->EditValue ?>"<?php echo $hostel_add->Fee->editAttributes() ?>>
</span>
<?php echo $hostel_add->Fee->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($hostel_add->Remarks->Visible) { // Remarks ?>
	<div id="r_Remarks" class="form-group row">
		<label id="elh_hostel_Remarks" for="x_Remarks" class="<?php echo $hostel_add->LeftColumnClass ?>"><?php echo $hostel_add->Remarks->caption() ?><?php echo $hostel_add->Remarks->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $hostel_add->RightColumnClass ?>"><div <?php echo $hostel_add->Remarks->cellAttributes() ?>>
<span id="el_hostel_Remarks">
<input type="text" data-table="hostel" data-field="x_Remarks" name="x_Remarks" id="x_Remarks" size="30" maxlength="125" placeholder="<?php echo HtmlEncode($hostel_add->Remarks->getPlaceHolder()) ?>" value="<?php echo $hostel_add->Remarks->EditValue ?>"<?php echo $hostel_add->Remarks->editAttributes() ?>>
</span>
<?php echo $hostel_add->Remarks->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$hostel_add->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $hostel_add->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("AddBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $hostel_add->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$hostel_add->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$hostel_add->terminate();
?>